This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 815373 - ami-cef922a7, ami-eaff2483: root account configuration issues
ami-cef922a7, ami-eaff2483: root account configuration issues
Status: CLOSED NOTABUG
Product: Cloud Image Validation
Classification: Red Hat
Component: images (Show other bugs)
RHEL6.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Wright
mkovacik
: EC2
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 09:46 EDT by mkovacik
Modified: 2015-07-13 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 05:33:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mkovacik 2012-04-23 09:46:34 EDT
Description of problem:
The root user isn't member of either root or daemon groups 

Version-Release number of selected component (if applicable):
ami-cef922a7, ami-eaff2483

How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
incorrect root account settings

Additional info:
### Screen log
# NEW TEST: ## Verify group file ...
  ######################################################################################
  COMMAND:  cat /etc/group | grep root:0
  RESULT: root:0:
  EXPECTED RESULT: root:0:root
  RETURN CODE: 0
  FAIL2
  root:0:
  COMMAND:  cat /etc/group | grep bin:1
  RESULT: bin:1:bin,daemon
  EXPECTED RESULT: bin:1:root,bin,daemon
  RETURN CODE: 0
  FAIL2
  bin:1:bin,daemon
  COMMAND:  cat /etc/group | grep daemon:2
  RESULT: daemon:2:bin,daemon
  EXPECTED RESULT: daemon:2:root,bin,daemon
  RETURN CODE: 0
  FAIL2
  daemon:2:bin,daemon
Comment 1 mkovacik 2012-04-27 05:33:34 EDT
Change consistent with 6.3 beta KVM iso-based deployment


[root@dhcp-31-159 ~]# cat /etc/group | grep root:x:0
root:x:0:
[root@dhcp-31-159 ~]# cat /etc/group | grep bin:x:1               
bin:x:1:bin,daemon
[root@dhcp-31-159 ~]# cat /etc/group | grep daemon:x:2
daemon:x:2:bin,daemon
[root@dhcp-31-159 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.3 Beta (Santiago)

Note You need to log in before you can comment on or make changes to this bug.